
/*   Page Styles   */

html {
  background-color: #000;
}

/* Link Defaults */

a {
  text-decoration: none;
}

a:hover, a:visited, a:link, a:active
{
    text-decoration: none;
    outline: 0;
    /* border: 0;   */
}

a:hover {
  -webkit-transition: -webkit-transform .2s;
  -moz-transition: transform .2s;
  -ms-transition: transform .2s;
  -o-transition: transform .2s;
  transition: transform .2s;
 
  -webkit-transform: scale(1.2);
  -moz-transform: scale(1.2);
  -ms-transform: scale(1.2);
  -o-transform: scale(1.2);
   transform: scale(1.2);
}

header a {
  color: #fff;
}


h1, h2, h3, h4, h5, h6 {
  text-align: center;
}

body {
  font-family: sans-serif;
  background-color: #000;
  box-sizing: border-box;
  padding: 0;
  margin: 0;
 
 }

 .site-container {
  margin: 0px;
  padding: 0px;
  background-color: #000;
 }

header {
  background-color: #000;
  width: 100%;
  height: 80px;
  position: fixed;
  top: 0;
  z-index: 5;
}

/* Sections */


#projects {
  background-color: #fff;
  position: absolute;
  top: 80px;
  left: 20px;
  right: 20px;
  border-radius: 15px;
  display: none;
}

#about {
  background: #8fd1f7;
  position: absolute;
  top: 80px;
  left: 20px;
  right: 20px;
  display: none;
  min-height: 85vh;
  border-radius: 15px;
  margin-bottom: 3rem;
  color: #000;
}

#resources a {
    color: #000080;
}

#contact {
  background: #8fd1f7;
  position: absolute;
  top: 80px;
  left: 20px;
  right: 20px;
  min-height: 85vh;
  border-radius: 15px;
  margin-bottom: 3rem;
  color: #000;
  display: none;
}

#contact h2, .section-h2, #about h2 {
  font-family: 'Paytone One', sans-serif; 
  font-size: 3rem;
}

.contact a {
  color: blue;
  text-decoration: none;
}

.contact h4 {
  text-decoration: underline;
}

/* Contact Form */

#form-container, #about-container {
  margin: 2rem auto auto;
  padding: 0 5%;
}

#form-container input, #form-container textarea {
  margin-bottom: 1rem;

}

#submit-btn {
  text-align: center;
}

#submit {
  margin-bottom: 2rem;
}


/*   Top Navigation   */

#topnav {
  color: #fff;
  position: fixed;
  top: 0;
  right: 5%;
  z-index: 10;
}

#topnav li {
  display: inline-flex;
  padding-right: 1rem;
  font-weight: 600;
}

#nav-ul {
  -webkit-animation: fall 3s forwards;
  -moz-animation: fall 3s forwards;
  -ms-animation: fall 3s forwards;
  -o-animation: fall 3s forwards;
  animation: fall 3s forwards;
}

@-webkit-keyframes fall {
  0% {transform: translateY(-50px);}
  100% {transform: translateY(20px);}
}

@keyframes fall {
  0% {transform: translateY(-50px);}
  100% {transform: translateY(20px);}
}

/* Introduction */

#intro {
  background-color: #000;
  color: #fff;
  max-width: 80%;
/*  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  -o-backface-visibility: hidden;               */
  margin: 10% 10% 0% 10%;
}

#name-title {
  font-family: 'Paytone One', sans-serif;
  text-align: left;
  -webkit-animation: grow 4s forwards;
  -moz-animation: grow 4s forwards;
  -ms-animation: grow 4s forwards;
  -o-animation: grow 4s forwards;
  animation: grow 4s forwards;
}

@-webkit-keyframes grow {
  0% {font-size: 0.001rem;}
  40% {font-size: 3.5rem;  }
  60% {font-size: 3rem;}
  80% {font-size: 3.5rem;}
  100% {font-size: 3.5rem;}
}

@keyframes grow {
  0% {font-size: 0.001rem;}
  40% {font-size: 3.5rem;  }
  60% {font-size: 3rem;}
  80% {font-size: 3.5rem;}
  100% {font-size: 3.5rem;}
}

/* Grow - Mobile */

@-webkit-keyframes grow-m {
  0% {font-size: 0.001rem;}
  40% {font-size: 3rem;  }
  60% {font-size: 2.5rem;}
  80% {font-size: 3rem;}
  100% {font-size: 3rem;}
}

@keyframes grow-m {
  0% {font-size: 0.001rem;}
  40% {font-size: 3rem;  }
  60% {font-size: 2.5rem;}
  80% {font-size: 3rem;}
  100% {font-size: 3rem;}
}

@-webkit-keyframes appear {
  0% {opacity: 0;}
  100% {opacity: 1;}
}

@keyframes appear {
  0% {opacity: 0;}
  100% {opacity: 1;}
}

#subtitle {
  font-family: 'Caveat', cursive;
  font-size: 2rem;
  text-align: left;
  opacity: 0;
  -webkit-animation: appear 5s linear 1.4s forwards;
  -moz-animation: appear 5s linear 1.4s forwards;
  -ms-animation: appear 5s linear 1.4s forwards;
  -o-animation: appear 5s linear 1.4s forwards;
  animation: appear 5s linear 1.4s forwards;
}

.text {
  font-size: 20px;
}



/* Removes chrome button outline */
*:focus {
    outline: 0 !important;
}

.top-name {
  color: #fff;
  font-family: 'Paytone One', sans-serif;
  font-size: 2rem;
  margin: 10px 0 10px 10px;
  display: none;
}

/* Media Queries */

@media only screen and (max-width: 500px) {
  #projects {
    left: 0px;
    right: 0px;
  }

  .scene {
    width: 350px;
    height: 350px;
  }
  
  #intro {
     margin: 40% 10%;
  }
  
  #name-title {
      font-size: 50%;
      -webkit-animation: grow-m 4s forwards;
      -moz-animation: grow-m 4s forwards;
      -ms-animation: grow-m 4s forwards;
      -o-animation: grow-m 4s forwards;
      animation: grow-m 4s forwards;
  }
  
  .card-back-title {
      font-size: 1.5rem;
  }
  
  .front-buttons {
      left: 5%;
  }
  
  
}

@media only screen and (max-width: 400px) {
    .about, .flip-back, .visit, .visit-btn {
    font-size: 0.75rem;
    font-weight: 800;
}
}


